Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.construct.builder
Class AbstractFlowConstructWithSingleInboundAndOutboundEndpointBuilder<T extends AbstractFlowConstructBuilder,F extends AbstractFlowConstruct>

    java.lang.Object
      org.mule.construct.builder.AbstractFlowConstructBuilder<T,F>
          org.mule.construct.builder.AbstractFlowConstructWithSingleInboundEndpointBuilder<T,F>
              org.mule.construct.builder.AbstractFlowConstructWithSingleInboundAndOutboundEndpointBuilder<T,F>

Direct Known Subclasses:
  BridgeBuilder, ValidatorBuilder, WSProxyBuilder

    public abstract class AbstractFlowConstructWithSingleInboundAndOutboundEndpointBuilder<T extends AbstractFlowConstructBuilder,F extends AbstractFlowConstruct>

extends AbstractFlowConstructWithSingleInboundEndpointBuilder<T,F>

Field Summary
`protected List<MessageProcessor>` | `outboundResponseTransformers`
`protected List<MessageProcessor>` | `outboundTransformers`

Fields inherited from class org.mule.construct.builder.AbstractFlowConstructWithSingleInboundEndpointBuilder
`inboundResponseTransformers, inboundTransformers`

Fields inherited from class org.mule.construct.builder.AbstractFlowConstructBuilder
`exceptionListener, messageSource, name`

Constructor Summary
`AbstractFlowConstructWithSingleInboundAndOutboundEndpointBuilder()`

Method Summary
`protected void` | `doConfigureOutboundEndpointBuilder(MuleContext muleContext, EndpointBuilder endpointBuilder)`
`protected OutboundEndpoint` | `getOrBuildOutboundEndpoint(MuleContext muleContext)`
`protected abstract MessageExchangePattern` | `getOutboundMessageExchangePattern()`
`T` | `outboundAddress(String outboundAddress)`
`T` | `outboundEndpoint(EndpointBuilder outboundEndpointBuilder)`
`T` | `outboundEndpoint(OutboundEndpoint outboundEndpoint)`

Methods inherited from class org.mule.construct.builder.AbstractFlowConstructWithSingleInboundEndpointBuilder
`doConfigureInboundEndpointBuilder, getInboundMessageExchangePattern, getOrBuildInboundEndpoint, inboundAddress, inboundEndpoint, inboundEndpoint`

Methods inherited from class org.mule.construct.builder.AbstractFlowConstructBuilder
`addExceptionListener, build, buildAndRegister, buildFlowConstruct, exceptionStrategy, messageSource, name`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### outboundTransformers

    protected List<MessageProcessor> outboundTransformers

### outboundResponseTransformers

    protected List<MessageProcessor> outboundResponseTransformers

Constructor Detail

### AbstractFlowConstructWithSingleInboundAndOutboundEndpointBuilder

    public AbstractFlowConstructWithSingleInboundAndOutboundEndpointBuilder()

Method Detail

### outboundEndpoint

    public T outboundEndpoint(OutboundEndpoint outboundEndpoint)

### outboundEndpoint

    public T outboundEndpoint(EndpointBuilder outboundEndpointBuilder)

### outboundAddress

    public T outboundAddress(String outboundAddress)

### getOrBuildOutboundEndpoint

    protected OutboundEndpoint getOrBuildOutboundEndpoint(MuleContext muleContext)
                                                   throws MuleException

  Throws:
    `MuleException`

### getOutboundMessageExchangePattern

    protected abstract MessageExchangePattern getOutboundMessageExchangePattern()

### doConfigureOutboundEndpointBuilder

    protected void doConfigureOutboundEndpointBuilder(MuleContext muleContext,
                                                      EndpointBuilder endpointBuilder)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.